Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class PreviewWorkItem

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.PreviewWorkItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<PreviewWorkItemResult>, net.customware.gwt.dispatch.shared.Action<PreviewWorkItemResult>

    public class PreviewWorkItem

extends java.lang.Object
implements OSAction<PreviewWorkItemResult>

Preview the specified Work Item.

©2011 TIBCO Software Inc.

Since:
  2.2.0
See Also:
  `WorkItemResult`

Constructor Summary
`PreviewWorkItem(PreviewItems items, java.lang.String responseType, java.lang.String channelId, java.lang.String channelType, java.lang.String resourceId)` Constructs a new PreviewWorkItem Action

Method Summary
`java.lang.String` | `getChannelId()` Channel ID, for GWT clients this is typically :
`java.lang.String` | `getChannelType()` Channel Type, for GWT clients this is typically :
`PreviewItems` | `getItems()` The `PreviewItems` to preview.
`java.lang.String` | `getResourceId()` Resource ID (GUID) of the resource to run the preview for.
`java.lang.String` | `getResponseType()` Response Type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreviewWorkItem

    public PreviewWorkItem(PreviewItems items,
                           java.lang.String responseType,
                           java.lang.String channelId,
                           java.lang.String channelType,
                           java.lang.String resourceId)

  Constructs a new PreviewWorkItem Action

  Parameters:
    `items` - The `PreviewItems` to preview
    `responseType` - The type of response required, "XML" or "JSON"
    `channelId` - Channel ID, for GWT clients this is typically :

    "openspaceGWTPull_DefaultChannel"

    `channelType` - Channel Type, for GWT clients this is typically :

    "GWTChannel"

    `resourceId` - the Resource GUID to run the preview for.

Method Detail

### getItems

    public PreviewItems getItems()

  The `PreviewItems` to preview.

  Returns:
    Returns the items.

### getResponseType

    public java.lang.String getResponseType()

  Response Type.

  The type of response to retrieve, "XML" or "JSON".

### getChannelId

    public java.lang.String getChannelId()

  Channel ID, for GWT clients this is typically :

  "openspaceGWTPull_DefaultChannel"

  Returns:
    Returns the channelId.

### getChannelType

    public java.lang.String getChannelType()

  Channel Type, for GWT clients this is typically :

  "GWTChannel"

  Returns:
    Returns the channelType.

### getResourceId

    public java.lang.String getResourceId()

  Resource ID (GUID) of the resource to run the preview for.

  Returns:
    Retuns the resource ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.